<template>
  <div>
    <header-slot>
      <div class="obj">
        <img :src="laptop.img" alt="im" width="500" height="450">

        <div>
          Тип: {{laptop.type}} <br /> <br />
          Бренд: {{laptop.brand}} <br /> <br />
          Модель: {{laptop.model}} <br /> <br />
          Процесор: {{laptop.processor}} <br /> <br />
          Відеокарта: {{laptop.videoCard}} <br /> <br />
          Пам'ять: {{laptop.memory + ' gb.'}} <br /> <br />
          Оперативна пам'ять: {{laptop.ram + ' gb.'}} <br /> <br />
          Дисплей: {{laptop.display}} <br /> <br />
          Колір: {{laptop.color}} <br /> <br />
          Вага: {{laptop.weight + ' kg.'}}
        </div>
      </div>
      <div class="buttons">
        <button @click="fav">В обрані</button>
        <div class="price"><h2>{{laptop.price + ' грн.'}}</h2></div>
        <button @click="buy">Купити</button>
      </div>
    </header-slot>
  </div>
</template>

<script>
import {mapActions, mapGetters} from "vuex";
import HeaderSlot from "@/components/HeaderSlot.vue";
export default {
  name: 'LaptopShow',

  data() {
    return {
      laptop: {},
    }
  },

  components: {
    HeaderSlot,
  },

  computed: {
    ...mapGetters('laptops', ['getItemById'])
  },

  methods: {
    ...mapActions('laptops', ['loadList']),
    ...mapActions(['onAddProduct', 'onAddFavorite']),

    buy() {
      this.onAddProduct(this.laptop)
    },

    fav() {
      this.onAddFavorite(this.laptop)
    }
  },

  async created() {
    try {
      await this.loadList();
      const laptopId = this.$route.params.id;

      this.laptop = this.getItemById(laptopId);
    }
    catch (error) {
      console.error("Error:", error);
    }
  },
}
</script>

<style lang="css" scoped>
.obj{
  display: flex;
  margin-right: 150px;
}

.obj div{
  margin-top: 70px;
  margin-right: 50px;
}

.price{
  margin-left: 350px;
}

.buttons{
  display: flex;
  margin-left: 40px;
}

.buttons button{
  margin-left: 30px;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.2s;
}

.buttons button:hover {
  background-color: crimson;
  color: #fff;
}
</style>